MCP23S17GPIO(4)

NAME
mcp23s17gpio - Driver for MCP23S17 gpio chip via SPI bus

SYNOPSIS
mcp23s17gpio0 at spi? slave 0 flags 0
mcp23s17gpio1 at spi? slave 0 flags 1
mcp23s17gpio2 at spi? slave 0 flags 2
mcp23s17gpio3 at spi? slave 0 flags 3
gpio* at gpiobus?

DESCRIPTION
The mcp23s17gpio driver supports up to 8 instances of the MCP23S17 16-bit GPIO chips. Access to the pins is provided by the gpio(4) interface. The mcp23s17gpio flags argument selects the hardware address of the chip instance.

SEE ALSO
gpio(4), intro(4), spi(4)

HISTORY
The mcp23s17gpio driver first appeared in NetBSD 7.0.

AUTHORS
-nosplit The mcp23s17gpio driver was written by Frank Kardel <kardel@NetBSD.org>.